#!/usr/bin/awk -f

# designations_mpc.awk
# Get recent asteroid designations using Minor Planet Center (MPC) site.
# Miroslav Broz (miroslav.broz@email.cz), Jun 30th 2008

BEGIN{
  URL = "http://scully.cfa.harvard.edu/~cgi/MPEph2";
}
/^ {0,6}[0-9]+ /{			# numbered
  dsg = $1;
}
/^ {7}[0-9]{4} [A-Z]{2}[0-9]* /{	# multi-opposition
  dsg = $1 $2;
}
/^ {7}[0-9]{4} P-L/{			# special cases
  dsg = $1 $2;
}
{
  file = "dsg/" dsg ".html";
  cmd = "wget '" URL "' --post-data='ty=e&TextArea=" dsg "&d=&l=1&i=&u=d&uto=0&c=&long=&lat=&alt=&raty=a&s=t&m=m&oed=&e=-2&resoc=&tit=&bu=&ch=c&ce=f&js=f' -O " file;
  print cmd;

  cmd = "./dsg.awk " file;
  print cmd >"dsg.sh";
}


