#!/usr/bin/awk -f

# dsg.awk
# Grep asteroid designations from dsg/*.html files (downloaded by wget.sh).
# Miroslav Broz (miroslav.broz@email.cz), Jun 30th 2008

BEGIN{
  TMP="designations_mpc.astorb";
  i=0;
}
/^ <b>/ && (i==0){		# single designation
  gsub(" *<b> *", "");
  gsub("</b>.*", "");
  i=1;
}
(i==1){
  n = split($0, l, " = ");

  for (j=1; j<=n; j++) {

    if (j>1) { printf " = "; }

    if (substr(l[j],1,1)=="(") {
      num = gensub("\\(([0-9]*)\\).*", "\\1", "g", l[j]);
      dsg = gensub(".*\\) *(.*)", "\\1", "g", l[j]);
      num = pad(num, -6);
    } else {
      num = "      ";
      dsg = l[j];
    }
    dsg = pad(dsg, 24);
    printf num " " dsg;
    print num " " dsg >>TMP;

  }

  print "";
  i=2;
}
END{
  if (i==0) {
    print "# designation not found!";
  }
}

func pad(s,n, i,out) {
  out = "";
  for (i = length(s); i < abs(n); i++) {
    out = out " ";
  }
  if (n > 0) {
    out = s out;
  } else {
    out = out s;
  }
  return out;
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}


