#!/bin/sh

# geometric albedo
          trojans_L4_A=0.058
trojans_wo_eurybates_A=0.058
           eurybates_A=0.055

# lower diameter cutoff
          trojans_L4_min=15
trojans_wo_eurybates_min=15
           eurybates_min=12

# upper diameter cutoff
          trojans_L4_max=40
trojans_wo_eurybates_max=40
           eurybates_max=40

for FILE in eurybates ; do
#  ./astdys2astorb_name.sh ${FILE}_family.list > $FILE.lst
#  ./astorb_grep_astorb.awk     $FILE.lst trojans_L4.astorb > $FILE.astorb
#  ./astorb_grep_astorb_NOT.awk $FILE.lst trojans_L4.astorb > r32_wo_$FILE.astorb

#  ./astorb_grep_astorb.awk     designations_mpc.astorb.srt trojans_L4.astorb > $FILE.astorb
#  ./astorb_grep_astorb_NOT.awk designations_mpc.astorb.srt trojans_L4.astorb > trojans_wo_$FILE.astorb

  ./astdys2astorb_name.sh family.list_50 > astorb.names
  ./astorb_grep_astorb.awk astorb.names trojans_L4.astorb > eurybates.astorb
  ./astorb_grep_astorb_NOT.awk astorb.names trojans_L4.astorb > trojans_wo_$FILE.astorb
done

for FILE in trojans_L4 trojans_wo_eurybates eurybates ; do
  ./H.awk < $FILE.astorb > $FILE.dat_H
  eval A=\$"$FILE"_A
  awk -v A=$A '{ print $1, A; }' < $FILE.dat_H > maga2r.in
  maga2r < maga2r.in > maga2r.out
  awk '{ print $1*2; }' < maga2r.out > $FILE.dat_D
  sort -nr < $FILE.dat_D > $FILE.dat_sort
  ./hist_cumulative.awk < $FILE.dat_sort > $FILE.dat_hc

  eval MIN=\$"$FILE"_min
  eval MAX=\$"$FILE"_max
  awk 'BEGIN{d1=ARGV[1]; d2=ARGV[2]; ARGV[1]=ARGV[2]="";}($1>d1) && ($1<d2) && ($2>1){print;}' $MIN $MAX < $FILE.dat_hc > $FILE.dat_fit
  echo -e "$MIN 0\n$MIN 1\n\n$MAX 0\n$MAX 1" > $FILE.dat_rng
  ./loglog.awk < $FILE.dat_fit > $FILE.dat_log
  ./linreg.awk < $FILE.dat_log > $FILE.lsm
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "f_" f "(x) = (10**" $1 ") * x**(" $2 ")";}' $FILE < $FILE.lsm > $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "set label \" {/=12{/Symbol -}" sprintf("%.1f", -$2) "\" at 21, f_" f "(20)";}' $FILE < $FILE.lsm >> $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print f " " $2}' $FILE < $FILE.lsm
done

./trojans_L4-size_distribution.plt
./trojans_L4-size_distribution_bw.plt


