#!/usr/bin/awk -f

# astdys_grep_astdys_NOTCOMPLETE.awk
# Grep a given list of astdys-like names from astdys-like catalogue
# (a SLOW version, which does not assume completeness, only the same sort order).
# Miroslav Broz (miroslav.broz@email.cz), Oct 6th 2004

BEGIN{
  n=0;
  imin=1;
}
(ARGIND==1) && !/^#/{
  n++;
  dsg[n]=$1;
}
(ARGIND>1){
  ifound=0;
  i=imin;
  while ((i<=n) && (ifound!=1)) {
    if ($1 == dsg[i]) {
      print;
      ifound=1;
      found[i]++;
      imin=i;	# NOT i-1, beacause there are repeated entries in the SLOAN catalogue
    }
    i++;
  }
}
END{
  for (i=1; i<=n; i++) {
    if (found[i] == 0) {
      print "# " dsg[i] " not found in " ARGV[2];
    }
  }
}

